Subject: Re: [PATCH] checkout: swap the order of ambiguity check for :/ syntax

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Aug 2016 09:35:29 -0700

Nguyễn Thái Ngọc Duy  <[email-masked]> writes:

> It's not wonderful, but it's in line with how git-checkout stops caring
> about ambiguity after the first argument can be resolved as a ref
> (there's even a test for it, t2010.6).

But that is justifiable because checkout can only ever take one
revision.  What follows, if there are any, must be paths, and more
importantly, it would be perfectly reasonable if some of them were
missing in the working tree ("ow, I accidentally removed that file,
I need to resurrect it from the index").  Does the same justification
apply to this change?